import { chainIds as e, getNonLocalhostChainId as t } from "./chains.constants.mjs";
//#region libs/shared/common/src/constants/coingecko.constants.ts
var n = "https://api.coingecko.com/api/v3", r = "https://pro-api.coingecko.com/api/v3", i = typeof window < "u" ? "" : process.env.COINGECKO_API_KEY, a = "x-cg-pro-api-key", o = i ? r : n, s = (e) => `${o}/simple/price?ids=${e}&vs_currencies=USD,ETH`, c = (e, t) => `${o}/simple/token_price/${t}?contract_addresses=${e}&vs_currencies=USD`, l = (e) => `${o}/coins/${e}`, u = (e) => `${o}/search?query=${encodeURIComponent(e)}`, d = (e, t) => `${r}/coins/${e}/contract/${t}`, f = (e, t) => `${r}/coins/${e}/market_chart?vs_currency=usd&days=${t}&interval=daily`, p = `${r}/coins/list`, m = {
	[e.arbMainnet]: "ethereum",
	[e.localhost]: "ethereum",
	[e.ethMainnet]: "ethereum",
	[e.optimism]: "ethereum",
	[e.optimismTest]: "ethereum",
	[e.polygon]: "matic-network",
	[e.bnbMainnet]: "binancecoin",
	[e.base]: "ethereum",
	[e.solanaMainnet]: "solana",
	[e.solanaLocalnet]: "solana",
	[e.tronNile]: "tron",
	[e.tronMainnet]: "tron",
	[e.tronLocalnet]: "tron",
	[e.sepoliaTestnet]: "ethereum"
}, h = (n) => {
	switch (t(n)) {
		case e.ethMainnet: return "ethereum";
		case e.polygon: return "polygon-pos";
		case e.bnbMainnet: return "binance-smart-chain";
		case e.optimism: return "optimistic-ethereum";
		case e.optimismTest: return "optimistic-ethereum";
		case e.arbMainnet: return "arbitrum-one";
		case e.base: return "base";
		case e.solanaMainnet:
		case e.solanaLocalnet: return "solana";
		case e.tronNile:
		case e.tronMainnet:
		case e.tronLocalnet: return "tron";
		case e.tempo: return "tempo";
		default: return "ethereum";
	}
}, g = {
	[e.polygon]: "polygon-pos",
	[e.arbMainnet]: "arbitrum-one",
	[e.ethMainnet]: "ethereum",
	[e.bnbMainnet]: "binance-smart-chain",
	[e.optimism]: "optimistic-ethereum",
	[e.optimismTest]: "optimistic-ethereum",
	[e.base]: "base",
	[e.solanaMainnet]: "solana",
	[e.solanaLocalnet]: "solana",
	[e.tronNile]: "tron",
	[e.tronMainnet]: "tron",
	[e.tronLocalnet]: "tron",
	[e.sepoliaTestnet]: "sepoliaTestnet"
};
//#endregion
export { i as COINGECKO_API_KEY, g as CoinGeckoChainLabels, s as coingeckoPriceUrl, c as coingeckoPriceUrl2, p as coingeckoTokenListUrl, d as getCoinByAddress, l as getCoinById, f as getCoinMarketChartByTokenId, m as getCoingeckoIdForNativeTokens, h as getCoingeckoPlatform, r as proCoingeckoUrl, a as proHeader, u as searchBySymbol };
